/*
1. Цикли виконують якусь дію чи використовують код, необхідну кількість разів
 За допомогою циклів, можна покращити, зменшити, оптимізувати код. Існує безліч різних видів циклів, 
 але всі вони по суті роблять те саме: повторюють якусь дію кілька разів (нульовий раз теж, відлік починається з 0)
 Різні за будовою цикли пропонують різні способи визначення початку і закінчення циклу. 
 Для різних завдань програмування існують оператори циклу, з допомогою яких, ці завдання вирішуються набагато простіше.

2. Цикл for, коли повторюється дія, доки не відбудеться будь-яка спеціальна подія завершення циклу(фолс) 
- початок циклу виконується один раз, потім кожна наступна інтерація перевіряється умовою, якщо тру, 
то виконується ще один крок, поки значення не стане фолс. Використовується, коли кількість інтерацій відома.
   Цикл while, коли треба, щоб тіло циклу виконалось хоча б один раз, незалежно від умови і коли кількість інтерацій невідома.
   Цикл do...while, для повторення виконання щонайменше одного разу блока операторів.
   Рішення про повторне виконання приймається в кінці блока, в залежності від умови логічного виразу.
   
3. Явне перетворення - спеціально робити перетворення типів, наприклад + перед prompt, щоб перетворити тип на Number чи !, щоб тип став Boolean.
// Неяне перетворення, коли перетворення між різними типами відбувається автоматично. 
Наприклад, коли ми застосовуємо оператори до значень різних типів, наприклад: 15 / `3`, автоматично поділиться і буде 5 ; 1 == null; або з if (value) {…},  value буде Boolean тип.
*/

let num;
let i;

num = +prompt("Введіть число");
while ( !Number || num == "" || !Number.isInteger(num))  {
  num = +prompt("Введіть число");
}
 if (num < 5) {
   console.log (alert("Sorry, no numbers")); 
  }
  
for (i=1; i <= num; i++) {
  
  if (i % 5 == 0) {
    console.log (i);
  }
}




